<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Member List</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">VizBlock Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_viz_block.html">VizBlock</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#a05126b273345e8ee4ac3bc0e6bff8da5">add</a>(Behaviour *b)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#a12ed8ff980180d9c952733f42c1b0748">announce</a>(String doc)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#a469ac7b36030935ea677d4b2385fd4a2">announce_capabilities</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#a8842678420f4f04a298ccb01aebb8c5e">generateCapabilitiesJSON</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#a681ab4c036640a3cea3941aa9e2e1ca6">getId</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#a6f8002082c1419e9b2718faa75a60356">init</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#a5f43b604ccbee394091bcedfc3e4dc8c">mqtt_command</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#aac8647bb59c5ecf635b4e7349d03a100">MQTT_connect</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#a94c00ec7eea6ce431eaad82b3a82dcdf">process</a>(String input)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#a2a4006637716e54f202711f633641b43">process_command</a>(String command, String args)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#aa03ed68d6c65b1bcd09e72d59cd789c6">run</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#a315eb849f9bf9932f90bb26a56b9eec4">serial_command</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#a3471cc56f191c186d5905f05f7aae7b3">set_wifi</a>(boolean v)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#ae187beaf64d567c93ba5775b252259ee">setID</a>(char *id)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_viz_block.html#ad9b3946753b985ec0604b0e2f83b0140">VizBlock</a>(char *id, char *ssid=&quot;VizBlockNet&quot;, char *wifi_pass=&quot;VizBlocksAP&quot;, char *server=&quot;192.168.4.1&quot;, int port=1883, char *mqtt_user=&quot;&quot;, char *mqtt_pass=&quot;&quot;, const char *fingerprint=&quot;&quot;)</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_viz_block.html#a2453fafc9ff3dbcb4fa30b3fb66ee600">wifi_connect</a>()</td><td class="entry"><a class="el" href="class_viz_block.html">VizBlock</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
